Search documentation of grizzly

# View Source Grizzly.ZWave.Commands.FirmwareUpdateActivationReport (grizzly v7.4.2)

This command is used to advertise the result of a firmware update operation initiated by the Firmware Update Activation Set Command.

Params:

- `status` - The status of activating the updated firmware

- `:manufacturer_id` - A unique ID identifying the manufacturer of the device (required)

- `:firmware_id` - A manufacturer SHOULD assign a unique Firmware ID to each existing product variant. (required)

- `:checksum` - The checksum of the firmware image. (required)

- `:firmware_target` - The firmware image to be updated - 0x00 for the ZWave chip, others are defined by the manufacturer (required)

- `:hardware_version` - The hardware version (version 5)

# Summary

## Types

param()
status()

## Functions

decode_status(byte)

# Types

Link to this type

# param()

View Source

    @type param() ::
      {:manufacturer_id, non_neg_integer()}
      | {:firmware_id, non_neg_integer()}
      | {:checksum, non_neg_integer()}
      | {:firmware_target, byte()}
      | {:status, status()}
      | {:hardware_version, byte()}

Link to this type

# status()

View Source

    @type status() :: :invalid_identification | :activation_error | :success

# Functions

Link to this function

# decode_status(byte)

View Source